Last Comment Bug 652297 - Stop trying to package MSVC DLLs in debug Windows Firefox
: Stop trying to package MSVC DLLs in debug Windows Firefox
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Server 2003
: P1 normal (vote)
: Firefox 12
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 650699
Blocks: 565774 713132
  Show dependency treegraph
 
Reported: 2011-04-22 18:50 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-02-05 14:57 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
wontfix
affected


Attachments
(Av1) Stop trying to package MSVC DLLs in debug Windows Firefox, Reorder XPCOM files [Checked in: Comment 3] (1.98 KB, patch)
2012-01-26 03:15 PST, Serge Gautherie (:sgautherie)
ted: review+
Details | Diff | Splinter Review
(Bv1) Add '-DMOZ_DEBUG=1' too to actually stop trying to package MSVC DLLs in debug Windows Firefox [Checked in: Comment 8] (764 bytes, patch)
2012-01-28 01:44 PST, Serge Gautherie (:sgautherie)
ted: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2011-04-22 18:50:45 PDT
See (SeaMonkey) bug 565774.
Comment 1 Serge Gautherie (:sgautherie) 2012-01-15 12:11:12 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8566957&full=1&branch=try
WINNT 5.2 try leak test build on 2012-01-15 09:28:26 PST for push 0f7ff1139bde
{
Error: package error or possible missing or unnecessary file: bin/Microsoft.VC80.CRT.manifest (package-manifest, 40).
Error: package error or possible missing or unnecessary file: bin/msvcm80.dll (package-manifest, 41).
Error: package error or possible missing or unnecessary file: bin/msvcp80.dll (package-manifest, 42).
Error: package error or possible missing or unnecessary file: bin/msvcr80.dll (package-manifest, 43).
}
Comment 2 Serge Gautherie (:sgautherie) 2012-01-26 03:15:50 PST
Created attachment 591739 [details] [diff] [review]
(Av1) Stop trying to package MSVC DLLs in debug Windows Firefox, Reorder XPCOM files
[Checked in: Comment 3]
Comment 3 Serge Gautherie (:sgautherie) 2012-01-27 11:59:55 PST
Comment on attachment 591739 [details] [diff] [review]
(Av1) Stop trying to package MSVC DLLs in debug Windows Firefox, Reorder XPCOM files
[Checked in: Comment 3]

https://hg.mozilla.org/mozilla-central/rev/e99e0dc97746
Comment 4 Serge Gautherie (:sgautherie) 2012-01-28 01:44:40 PST
Created attachment 592378 [details] [diff] [review]
(Bv1) Add '-DMOZ_DEBUG=1' too to actually stop trying to package MSVC DLLs in debug Windows Firefox
[Checked in: Comment 8]

Sorry, I forgot to check that previously.
Comment 6 Shane Bundy 2012-01-28 03:14:53 PST
(In reply to Shane Bundy from comment #5)
Whoops, forgot this was backed out. My mistake.
Comment 7 Serge Gautherie (:sgautherie) 2012-01-28 03:29:53 PST
(In reply to Shane Bundy from comment #5)
> https://hg.mozilla.org/mozilla-central/rev/e99e0dc97746

This is comment 3.


(In reply to Shane Bundy from comment #6)
> Whoops, forgot this was backed out. My mistake.

This was _not_ backed out: no reason to do so.
Comment 8 Serge Gautherie (:sgautherie) 2012-01-28 09:26:51 PST
Comment on attachment 592378 [details] [diff] [review]
(Bv1) Add '-DMOZ_DEBUG=1' too to actually stop trying to package MSVC DLLs in debug Windows Firefox
[Checked in: Comment 8]

https://hg.mozilla.org/mozilla-central/rev/284bcd56f151
Comment 9 Serge Gautherie (:sgautherie) 2012-01-28 11:20:31 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8910023&tree=Firefox&full=1
WINNT 5.2 mozilla-central leak test build on 2012-01-28 09:14:45 PST for push 284bcd56f151

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.